org.jboss.resteasy.api.validation

## Class ResteasyConstraintViolation

- java.lang.Object
- - org.jboss.resteasy.api.validation.ResteasyConstraintViolation

- All Implemented Interfaces:
    Serializable

      public class ResteasyConstraintViolation
      extends Object
      implements Serializable

  Version:
    $Revision: 1.1 $ Copyright Jun 4, 2013
  Author:
    Ron Sigal
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResteasyConstraintViolation()`
    `ResteasyConstraintViolation(ConstraintType.Type constraintType, String path, String message, String value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConstraintType.Type` | `getConstraintType()`
    `String` | `getMessage()`
    `String` | `getPath()`
    `String` | `getValue()`
    `String` | `toString()`
    `String` | `type()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyConstraintViolation

          public ResteasyConstraintViolation(ConstraintType.Type constraintType,
                                     String path,
                                     String message,
                                     String value)

    - #### ResteasyConstraintViolation

          public ResteasyConstraintViolation()

  - ### Method Detail

    - #### getConstraintType

          public ConstraintType.Type getConstraintType()

      Returns:
        type of constraint

    - #### getPath

          public String getPath()

      Returns:
        description of element violating constraint

    - #### getMessage

          public String getMessage()

      Returns:
        description of constraint violation

    - #### getValue

          public String getValue()

      Returns:
        object in violation of constraint

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      Returns:
        String representation of violation

    - #### type

          public String type()

      Returns:
        String form of violation type

Copyright © 2014. All Rights Reserved.